com.informix.jdbc

## Class IfxUDTInfo

- java.lang.Object
- - com.informix.jdbc.IfxUDTInfo

    public class IfxUDTInfo
    extends java.lang.Object

This class contains all information about a user defined datatype like UDT, distinct, and named row types

### Constructor Summary

Constructors
Constructor and Description
`IfxUDTInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getIfxType()` Get the Informix type of this User Defined Type.
`short` `getJDBCtype()` Get the JDBC type (DISTINCT, STRUCT or JAVA_OBJECT) of this User Defined Type.
`IfxResultSetMetaData` `getMetaData()` Get the meta data associated with this type (only used for named rows).
`java.lang.String` `getName()` Get the name of this User Defined Type.
`java.lang.String` `getOwner()` Get the owner of this User Defined Type.
`int` `getSource()` Get the source type of this Distinct Type.
`int` `getSourceLength()` Get the length of the source type of this Distinct Type.
`int` `getXid()` Get the extended ID of this User Defined Type.
`java.lang.String` `toString()` Convert the UDT info for this User Defined Type to a string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IfxUDTInfo

    public IfxUDTInfo()

### Method Detail

#### getName

    public java.lang.String getName()

Get the name of this User Defined Type.

Returns:
  the name of this type.

#### getOwner

    public java.lang.String getOwner()

Get the owner of this User Defined Type.

Returns:
  the owner of this type.

#### getXid

    public int getXid()

Get the extended ID of this User Defined Type.

Returns:
  the extended ID used to represent this type.

#### getIfxType

    public int getIfxType()

Get the Informix type of this User Defined Type.

Returns:
  the Informix data type used to represent this type.

#### getJDBCtype

    public short getJDBCtype()

Get the JDBC type (DISTINCT, STRUCT or JAVA_OBJECT) of this User Defined Type.

Returns:
  the JDBC type used to represent this type.

#### getSource

    public int getSource()

Get the source type of this Distinct Type.

Returns:
  the type used to represent the base type from which this type is derived.

#### getSourceLength

    public int getSourceLength()

Get the length of the source type of this Distinct Type.

Returns:
  the length of the base type from which this type is derived.

#### getMetaData

    public IfxResultSetMetaData getMetaData()

Get the meta data associated with this type (only used for named rows).

Returns:
  an IfxResultSetMetaData object for this row.

#### toString

    public java.lang.String toString()

Convert the UDT info for this User Defined Type to a string.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  all values for this type concatenated into a string.